Bug 1527783

Summary: jbd2_log_wait_commit hangs
Product: [Fedora] Fedora Reporter: lav
Component: kernelAssignee: Eddie Kovsky <ewk>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 26CC: airlied, bskeggs, ewk, hdegoede, ichavero, itamar, jarodwilson, jglisse, john.j5live, jonathan, josef, kernel-maint, labbott, linville, mchehab, mjg59, steved, warren.postma
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 12:16:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1489998    

Description lav 2017-12-20 06:02:47 UTC
Description of problem:
sometimes, a process stucks in jbd2_log_wait_commit wait state. After that, any "sync" and probably fsync calls stuck too. The symptom is LA growing to insane values. On one server the most common stuck process is logrotate in a lxc container. I could not log in to two other affected servers. Another few servers at my disposal do not exhibit this behaviour. There is no disk related messages in the log or dmesg. Nothing suspicious or unusual at all in the log. Graceful reboot hangs too. One affected server is i686 two others are x86_64.

The problem started with 4.13.8 and did not occur in 4.12.8.

Here is the dnf history info after which the problem started to occur:
    Erase    kernel-4.12.8-200.fc25.i686              @updates/25
    Install  kernel-4.13.8-100.fc25.i686              @updates/25

I have upgraded to up-to-date fedora 26, but it did not help.
Kernel downgrade fixes the problem. Currently I'm at kernel-4.11.8-300.fc26.i686.

Version-Release number of selected component (if applicable):
>=4.13.8 up to 4.13.16-202.fc26 (I've not tried later kernels)

How reproducible:
Eventually, probably when doing logrotate at night.


Actual results:
There are many stuck processes in D state with jbd2_log_wait_commit in wchan. LA is very high.

Expected results:


Additional info:

Comment 1 Warren Postma 2018-02-23 19:14:53 UTC
I am having a virtually identical problem but it's not in Fedora. I believe therefore it is an upstream kernel bug and not a Fedora kernel modification.

 I wanted to add some hardware detail here in case it helps narrow down the cause/origin of the problem, and so I would like to ask the original poster and any other people who state "me too" to add your own hardware details.  What type of device (Sata, SAS, raid) are you having this problem with? 

What I wonder is if it's a linux device driver issue causing this, or an ext4 filesystem issue.  If it's reproducible on any drive hardware, it may be a filesystem (ext4 journaling) issue.  Turning off journaling could be a workaround.

I have an identical problem in Linux 4.9.0, and so I wonder if it's an ext4 bug in my 4.9.x kernel and also a regression in 4.13 kernels.

Output from dmesg -T will probably include hangs. 

my hardware is a dell precision workstation T7610 with integrated Intel SAS RAID0/RAID1/RAID10 controller, and it's the raid10 volume that has this problem.   LSPCI sees it as LSI Logic / Symbios Logic SAS2308 PCI-Express Fusion-MPT SAS-2 (rev 05).

I am turning off Journaling on my ext4 volume to see if it's an ext4 journaling issue, or if it's a physical problem with my drive/array or a problem with filesystems.

Comment 2 Fedora End Of Life 2018-05-03 07:55:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:16:50 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.